SubsystemConstants
Date: 2016-06-25

org.osgi.service.subsystem

## Class SubsystemConstants

- java.lang.Object
- - org.osgi.service.subsystem.SubsystemConstants

-     public class SubsystemConstants
      extends java.lang.Object

  Defines the constants used by Subsystem service property, manifest header, attribute and directive keys.

  The values associated with these keys are of type `String`, unless otherwise indicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEPLOYED_CONTENT` Manifest header identifying the resources to be deployed.
    `static java.lang.String` | `DEPLOYED_VERSION_ATTRIBUTE` Manifest header attribute identifying the deployed version.
    `static java.lang.String` | `DEPLOYMENT_MANIFESTVERSION` Manifest header identifying the deployment manifest version.
    `static java.lang.String` | `PREFERRED_PROVIDER` Manifest header used to express a preference for particular resources to satisfy implicit package dependencies.
    `static java.lang.String` | `PROVISION_POLICY_ACCEPT_DEPENDENCIES` A value for the `provision-policy` directive indicating the subsystem accepts dependency resources.
    `static java.lang.String` | `PROVISION_POLICY_DIRECTIVE` Manifest header directive identifying the provision policy.
    `static java.lang.String` | `PROVISION_POLICY_REJECT_DEPENDENCIES` A value for the `provision-policy` directive indicating the subsystem does not accept dependency resources.
    `static java.lang.String` | `PROVISION_RESOURCE` Manifest header identifying the resources to be deployed to satisfy the dependencies of a subsystem.
    `static java.lang.String` | `ROOT_SUBSYSTEM_SYMBOLICNAME` The symbolic name of the root subsystem.
    `static java.lang.String` | `START_ORDER_DIRECTIVE` Manifest header directive identifying the start order of subsystem contents.
    `static java.lang.String` | `SUBSYSTEM_CATEGORY` Manifest header identifying the categories of a subsystem as a comma-delimited list.
    `static java.lang.String` | `SUBSYSTEM_CONTACTADDRESS` Manifest header identifying the contact address where problems with a subsystem may be reported; for example, an email address.
    `static java.lang.String` | `SUBSYSTEM_CONTENT` Manifest header identifying the list of subsystem contents identified by a symbolic name and version.
    `static java.lang.String` | `SUBSYSTEM_COPYRIGHT` Manifest header identifying a subsystem's copyright information.
    `static java.lang.String` | `SUBSYSTEM_DESCRIPTION` Manifest header identifying the human readable description.
    `static java.lang.String` | `SUBSYSTEM_DOCURL` Manifest header identifying a subsystem's documentation URL, from which further information about the subsystem may be obtained.
    `static java.lang.String` | `SUBSYSTEM_EXPORTSERVICE` Manifest header identifying services offered for export.
    `static java.lang.String` | `SUBSYSTEM_ICON` Manifest header identifying the icon URL for the subsystem.
    `static java.lang.String` | `SUBSYSTEM_ID_PROPERTY` The name of the service property for the `subsystem ID`.
    `static java.lang.String` | `SUBSYSTEM_IMPORTSERVICE` Manifest header identifying services required for import.
    `static java.lang.String` | `SUBSYSTEM_LICENSE` Manifest header identifying a subsystem's license.
    `static java.lang.String` | `SUBSYSTEM_LOCALIZATION` Manifest header identifying the base name of a subsystem's localization entries.
    `static java.lang.String` | `SUBSYSTEM_LOCALIZATION_DEFAULT_BASENAME` Default value for the `Subsystem-Localization` manifest header.
    `static java.lang.String` | `SUBSYSTEM_MANIFESTVERSION` Manifest header identifying the subsystem manifest version.
    `static java.lang.String` | `SUBSYSTEM_NAME` Manifest header identifying the human readable subsystem name.
    `static java.lang.String` | `SUBSYSTEM_STATE_PROPERTY` The name of the service property for the subsystem `state`.
    `static java.lang.String` | `SUBSYSTEM_SYMBOLICNAME` Manifest header value identifying the symbolic name for the subsystem.
    `static java.lang.String` | `SUBSYSTEM_SYMBOLICNAME_PROPERTY` The name of the service property for the subsystem `symbolic name`.
    `static java.lang.String` | `SUBSYSTEM_TYPE` Manifest header identifying the subsystem type.
    `static java.lang.String` | `SUBSYSTEM_TYPE_APPLICATION` The resource type value identifying an application subsystem.
    `static java.lang.String` | `SUBSYSTEM_TYPE_COMPOSITE` The resource type value identifying an composite subsystem.
    `static java.lang.String` | `SUBSYSTEM_TYPE_FEATURE` The resource type value identifying an feature subsystem.
    `static java.lang.String` | `SUBSYSTEM_TYPE_PROPERTY` The name of the service property for the `subsystem type`.
    `static java.lang.String` | `SUBSYSTEM_VENDOR` Manifest header identifying a subsystem's vendor.
    `static java.lang.String` | `SUBSYSTEM_VERSION` Manifest header value identifying the version of the subsystem.
    `static java.lang.String` | `SUBSYSTEM_VERSION_PROPERTY` The name of the service property for the subsystem `version`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEPLOYED_CONTENT

          public static final java.lang.String DEPLOYED_CONTENT

      Manifest header identifying the resources to be deployed.
      See Also:
        Constant Field Values

    - #### DEPLOYED_VERSION_ATTRIBUTE

          public static final java.lang.String DEPLOYED_VERSION_ATTRIBUTE

      Manifest header attribute identifying the deployed version.
      See Also:
        Constant Field Values

    - #### DEPLOYMENT_MANIFESTVERSION

          public static final java.lang.String DEPLOYMENT_MANIFESTVERSION

      Manifest header identifying the deployment manifest version. If not present, the default value is `1`.
      See Also:
        Constant Field Values

    - #### PREFERRED_PROVIDER

          public static final java.lang.String PREFERRED_PROVIDER

      Manifest header used to express a preference for particular resources to satisfy implicit package dependencies.
      See Also:
        Constant Field Values

    - #### PROVISION_POLICY_DIRECTIVE

          public static final java.lang.String PROVISION_POLICY_DIRECTIVE

      Manifest header directive identifying the provision policy. The default value is `rejectDependencies`
      See Also:
        `PROVISION_POLICY_ACCEPT_DEPENDENCIES`, `PROVISION_POLICY_REJECT_DEPENDENCIES`, Constant Field Values

    - #### PROVISION_POLICY_ACCEPT_DEPENDENCIES

          public static final java.lang.String PROVISION_POLICY_ACCEPT_DEPENDENCIES

      A value for the `provision-policy` directive indicating the subsystem accepts dependency resources. The root subsystem has this provision policy.
      See Also:
        Constant Field Values

    - #### PROVISION_POLICY_REJECT_DEPENDENCIES

          public static final java.lang.String PROVISION_POLICY_REJECT_DEPENDENCIES

      A value for the `provision-policy` directive indicating the subsystem does not accept dependency resources. This is the default value.
      See Also:
        Constant Field Values

    - #### PROVISION_RESOURCE

          public static final java.lang.String PROVISION_RESOURCE

      Manifest header identifying the resources to be deployed to satisfy the dependencies of a subsystem.
      See Also:
        Constant Field Values

    - #### START_ORDER_DIRECTIVE

          public static final java.lang.String START_ORDER_DIRECTIVE

      Manifest header directive identifying the start order of subsystem contents. There is no default value. Specified values are of type `String` and must represent an integer.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_CATEGORY

          public static final java.lang.String SUBSYSTEM_CATEGORY

      Manifest header identifying the categories of a subsystem as a comma-delimited list.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_CONTACTADDRESS

          public static final java.lang.String SUBSYSTEM_CONTACTADDRESS

      Manifest header identifying the contact address where problems with a subsystem may be reported; for example, an email address.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_CONTENT

          public static final java.lang.String SUBSYSTEM_CONTENT

      Manifest header identifying the list of subsystem contents identified by a symbolic name and version.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_COPYRIGHT

          public static final java.lang.String SUBSYSTEM_COPYRIGHT

      Manifest header identifying a subsystem's copyright information.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_DESCRIPTION

          public static final java.lang.String SUBSYSTEM_DESCRIPTION

      Manifest header identifying the human readable description.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_DOCURL

          public static final java.lang.String SUBSYSTEM_DOCURL

      Manifest header identifying a subsystem's documentation URL, from which further information about the subsystem may be obtained.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_EXPORTSERVICE

          public static final java.lang.String SUBSYSTEM_EXPORTSERVICE

      Manifest header identifying services offered for export.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_ICON

          public static final java.lang.String SUBSYSTEM_ICON

      Manifest header identifying the icon URL for the subsystem.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_ID_PROPERTY

          public static final java.lang.String SUBSYSTEM_ID_PROPERTY

      The name of the service property for the `subsystem ID`. The value of this property must be of type `Long`.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_IMPORTSERVICE

          public static final java.lang.String SUBSYSTEM_IMPORTSERVICE

      Manifest header identifying services required for import.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_LICENSE

          public static final java.lang.String SUBSYSTEM_LICENSE

      Manifest header identifying a subsystem's license.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_LOCALIZATION

          public static final java.lang.String SUBSYSTEM_LOCALIZATION

      Manifest header identifying the base name of a subsystem's localization entries.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_LOCALIZATION_DEFAULT_BASENAME

          public static final java.lang.String SUBSYSTEM_LOCALIZATION_DEFAULT_BASENAME

      Default value for the `Subsystem-Localization` manifest header.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_MANIFESTVERSION

          public static final java.lang.String SUBSYSTEM_MANIFESTVERSION

      Manifest header identifying the subsystem manifest version. If not present, the default value is `1`.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_NAME

          public static final java.lang.String SUBSYSTEM_NAME

      Manifest header identifying the human readable subsystem name.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_STATE_PROPERTY

          public static final java.lang.String SUBSYSTEM_STATE_PROPERTY

      The name of the service property for the subsystem `state`. The value of this property must be of type `Subsystem.State`.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_SYMBOLICNAME

          public static final java.lang.String SUBSYSTEM_SYMBOLICNAME

      Manifest header value identifying the symbolic name for the subsystem. Must be present.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_SYMBOLICNAME_PROPERTY

          public static final java.lang.String SUBSYSTEM_SYMBOLICNAME_PROPERTY

      The name of the service property for the subsystem `symbolic name`.
      See Also:
        Constant Field Values

    - #### ROOT_SUBSYSTEM_SYMBOLICNAME

          public static final java.lang.String ROOT_SUBSYSTEM_SYMBOLICNAME

      The symbolic name of the root subsystem.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_TYPE

          public static final java.lang.String SUBSYSTEM_TYPE

      Manifest header identifying the subsystem type.
      See Also:
        `SUBSYSTEM_TYPE_APPLICATION`, `SUBSYSTEM_TYPE_COMPOSITE`, `SUBSYSTEM_TYPE_FEATURE`, Constant Field Values

    - #### SUBSYSTEM_TYPE_PROPERTY

          public static final java.lang.String SUBSYSTEM_TYPE_PROPERTY

      The name of the service property for the `subsystem type`.
      See Also:
        `SUBSYSTEM_TYPE_APPLICATION`, `SUBSYSTEM_TYPE_COMPOSITE`, `SUBSYSTEM_TYPE_FEATURE`, Constant Field Values

    - #### SUBSYSTEM_TYPE_APPLICATION

          public static final java.lang.String SUBSYSTEM_TYPE_APPLICATION

      The resource type value identifying an application subsystem.

      This value is used for the `osgi.identity` capability attribute `type`, the `SUBSYSTEM_TYPE` manifest header and the `SUBSYSTEM_TYPE_PROPERTY` service property.

      See Also:
        Constant Field Values

    - #### SUBSYSTEM_TYPE_COMPOSITE

          public static final java.lang.String SUBSYSTEM_TYPE_COMPOSITE

      The resource type value identifying an composite subsystem.

      This value is used for the `osgi.identity` capability attribute `type`, the `SUBSYSTEM_TYPE` manifest header and the `SUBSYSTEM_TYPE_PROPERTY` service property.

      See Also:
        Constant Field Values

    - #### SUBSYSTEM_TYPE_FEATURE

          public static final java.lang.String SUBSYSTEM_TYPE_FEATURE

      The resource type value identifying an feature subsystem.

      This value is used for the `osgi.identity` capability attribute `type`, the `SUBSYSTEM_TYPE` manifest header and the `SUBSYSTEM_TYPE_PROPERTY` service property.

      See Also:
        Constant Field Values

    - #### SUBSYSTEM_VENDOR

          public static final java.lang.String SUBSYSTEM_VENDOR

      Manifest header identifying a subsystem's vendor.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_VERSION

          public static final java.lang.String SUBSYSTEM_VERSION

      Manifest header value identifying the version of the subsystem. If not present, the default value is `0.0.0`.
      See Also:
        Constant Field Values

    - #### SUBSYSTEM_VERSION_PROPERTY

          public static final java.lang.String SUBSYSTEM_VERSION_PROPERTY

      The name of the service property for the subsystem `version`. The value of this property must be of type `Version`.
      See Also:
        Constant Field Values